profound-logoProfound CMS
⌘K
Admin
Theme
BelgelerTutorialBlogPhilosophy
BelgelerTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyŞablon oluşturucuda komut dosyası yazmaProject ScaffoldingMedia Library

Headless

Hızlı BaşlangıçSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API OverviewgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetCEL önbelleği ile blokları getirgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getVeri kümesi şema adını algetGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postGönderi çevirisipatchÇeviri yamalarıgetKullanımı alpostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /blocks

Blokları kimliğe göre, istek sırasına göre, resim referansları çözümlenmiş halde alın.

Bir web sitesi için blokları kimliğe göre alın, resim referansları URL'lere çözümlenmiş halde. Bloklar, talep edilen ids ile aynı sırada döndürülür; bilinmeyen kimlikler sessizce atlanır.

Kimlik doğrulama: API anahtarı (x-api-key üstbilgisi veya api_key sorgu parametresi).

Sorgu parametreleri

ParametreTürGerekliNotlar
websiteIduuidhayırHedef web sitesi; Host üstbilgisine veya yapılandırmaya başvurur.
idsstringhayırVirgülle ayrılmış blok UUID'leri. Boş veya eksik → [].
api_keystringhayırx-api-key üstbilgisine alternatif.

Yanıt

Bloklardan oluşan bir JSON dizisi:

[
  {
    "id": "...",
    "website_id": "...",
    "schema_id": "...",
    "draft_content": {},
    "published_content": {},
    "state": "published",
    "version": 3,
    "schema_name": "hero-block",
    "layout": {},
    "cloned_from_id": null,
    "created_at": "2026-06-23T18:34:16Z",
    "updated_at": "2026-06-23T20:36:55Z"
  }
]

Örnek

curl '{CMS_API_URL}/blocks?websiteId=<uuid>&ids=<id1>,<id2>' \
  -H 'x-api-key: <key>'

Hatalar

  • 400 — ids içinde geçersiz UUID veya çözülemeyen web sitesi
  • 401 — geçersiz API anahtarı
Continue Reading
Previous‹GET /routeNextCEL önbelleği ile blokları getir›